Skip to main content
`Ctrl`+`K`

# NEPGetJacobian

Returns the Jacobian matrix and optionally the user provided routine and context for evaluating the Jacobian.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetJacobian(NEP nep,Mat *J,NEPJacobianFn **jac,PetscCtxRt ctx)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameters

- J - location to stash Jacobian matrix (or `NULL`)

- jac - location to put Jacobian function (or `NULL`)

- ctx - location to stash Jacobian context (or `NULL`)

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetJacobian()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages